:root {
  --reko-colour: hsl(60, 4%, 11%);
  --reko-colour-darker: hsl(99, 54%, 32%);
  --local-food-node-colour: hsl(14, 89%, 32%);
  --local-food-node-colour-darker: hsl(14, 89%, 28%);
  --golden-ratio: 1.61803398875;
}

html,
body {
  margin: 0;
  display: flex;
  flex-flow: column nowrap;
  height: 100%;
  overflow: hidden;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

footer {
  position: absolute;
  inset: 1rem;
  top: unset;
  z-index: 1200;
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: center;
  user-select: none;
}

footer figure {
  width: 200px;
  top: 1rem;
  margin: 0;
  pointer-events: none;
}

footer figure img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
  pointer-events: none;
}

footer button {
  background-color: hsl(171, 55%, 25%);
  color: white;
  padding: 1em 2rem;
  border-radius: 4px;
  border: 0;
  cursor: pointer;
  margin-top: 1rem;
}

lantmateriet-karta {
  display: block;
  width: 100%;
  height: calc(100% - var(--header-height));
  flex: 1;
  transition: opacity 500ms ease 200ms;
}

.loading lantmateriet-karta {
  opacity: 0;
}

#menu-button {
  all: unset;
  color: white;
  width: 40px;
  height: 40px;
  display: grid;
  place-items: center;
  text-align: center;
  margin: 0 0.5rem;
  cursor: pointer;
  border-radius: 100%;
  background-color: transparent;
  transition: background-color 150ms ease;
}

#menu-button:hover {
  background-color: rgba(0, 0, 0, 0.1);
}

@media (min-width: 800px) and (orientation: landscape) {
  .folkminnen lantmateriet-karta {
    position: absolute;
    width: 70vw;
    top: 0;
    right: 0;
    bottom: 0;
  }
}